@import "../../../../styles/colors.scss";
@import "../../../../styles/responsive.scss";
@import "../../../../styles/fonts.scss";


.contactbox {
  height: 85vh;
  background-image: url(../../../../assets/img/contact-img-2.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;

  h1 {
    letter-spacing: 2px;
    color: white;
    text-align: center;
  }
}

.form-container {
  padding: 0px 20px;
  margin: 40px 0px;
  display: flex;
  flex-direction: column;
  align-items: center;
}


.form-text {
  text-align: center;
  width: 85vw;

  h2 {
    color: $secondary-color;
  }

  p {
    color: $tertiary-color;
    letter-spacing: 1px;
    margin-top: 20px;
  }

}

.form {
  margin-top: 40px;
  width: 85vw;

  fieldset {
    border: none;
    margin-bottom: 20px;
  }
  .form_input {
    background-color: rgba(73, 144, 164, 0.14);
    border: none;
    border-bottom: 1px solid #003d4b;
    width: 100%;
    height: 30px;
    margin-top: 10px;
  }
  .form_input:active {
    border: none;
  }
  
  .form_button {
    width: 100%;
    border-radius: 4px;
    font-weight: 600;
    color: #ffffff;
    letter-spacing: 2px;
    text-transform: uppercase;
    background-color: $primary-color;
    border: none;
    padding: 10px 20px;

  }
  
}


@include tablet {
  .contactbox {
    height: 50vh;
  }
}

@include desktop {
  .contactbox {
    height: 90vh;

    h1 {
      font-size: 3rem;
    }
  }
  .form-text {
    width: 65vw;
  }
  .form {
    width: 65vw;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    justify-content: wrap;
    flex-wrap: wrap;

    fieldset {
      width: 31vw;
    }
    .fieldset-email {
      width: 100%;
    }
  }

}
